View Issue Details

IDProjectCategoryView StatusLast Update
0018244LazarusLCLpublic2011-03-18 23:49
ReporterlainzAssigned ToPaul Ishenin 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018244: TTreeView graphic problem with RowSelect:=true and Scrollbars
Description1) Create a TTreeView from Common Controls;
2) Set RowSelect:=true in the Object Inspector;
3) Add some items in TTreeView to see the ScrollBar;
4) Compile and run.
5) Select an item and scroll up and down with ScroolBar (and test with Horizontal ScrollBar): you must see a "phantom text" inside the selected item (see image attached), tested with Themes Enabled in Windows 7.
TagsNo tags attached.
Fixed in Revision29896
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2010-12-17 18:21

 

ttreeviewerror.png (10,061 bytes)
ttreeviewerror.png (10,061 bytes)

Paul Ishenin

2011-03-18 08:33

manager   ~0046656

Please test and close if ok.

lainz

2011-03-18 23:49

reporter   ~0046672

Is ok.

Issue History

Date Modified Username Field Change
2010-12-17 18:21 lainz New Issue
2010-12-17 18:21 lainz File Added: ttreeviewerror.png
2010-12-17 18:21 lainz Widgetset => Win32/Win64
2010-12-18 21:52 Vincent Snijders LazTarget => 1.0
2010-12-18 21:52 Vincent Snijders Status new => acknowledged
2010-12-18 21:52 Vincent Snijders Target Version => 1.0.0
2011-03-18 08:33 Paul Ishenin Fixed in Revision => 29896
2011-03-18 08:33 Paul Ishenin Status acknowledged => resolved
2011-03-18 08:33 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-18 08:33 Paul Ishenin Resolution open => fixed
2011-03-18 08:33 Paul Ishenin Assigned To => Paul Ishenin
2011-03-18 08:33 Paul Ishenin Note Added: 0046656
2011-03-18 23:49 lainz Note Added: 0046672
2011-03-18 23:49 lainz Status resolved => closed